CH_TEST_VALID(3)

EXPERIMENTAL_FUNC
ch_test_valid - Test if a channel is valid.

SYNOPSIS
#include <karma_ch.h>

flag ch_test_valid

(Channel channel, CONST char *function_name)

DESCRIPTION
Test if a channel is valid.

channel
    The channel object.

function_name
    If not NULL diagnostic messages are written to the standard error prepended with <<function_name>>.

RETURN VALUE
TRUE if the channel is valid, else FALSE.

Multi-threading Level
Unsafe.

NOTE
Frequent use may degrade performance.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/